@(thread:Thread, list:Seq[Message], msgForm: Form[MessageDTO.MessageCad])(implicit request: RequestHeader, messagesProvider: MessagesProvider)

@request.flash.data.map{ case (name, value) =>
    <div class="@name">@value</div>
}

@import helper._

@main("P2 .::. Engenharia de Software III .::. " + thread.titulo) {
    <table class="thread">
        <tr>
            <td class="thread-header" colspan=2>
                <span class="thread-title">@thread.titulo</span>
                <br/>
                Criada em: @{
                                val dt = new java.text.SimpleDateFormat("dd/MM/YYYY - HH:mm")
                                dt.format(thread.data)
                            }
                <br/>
                Criada por: @thread.username
            </td>
        </tr>
        @for(i <- 0 until list.length) {
            <tr class="thread-row">
                <td class="thread-message-user">
                    Usuário: @list(i).username
                    <br/>
                    Data:   @{
                                val dt = new java.text.SimpleDateFormat("dd/MM/YYYY - HH:mm")
                                dt.format(list(i).data)
                            }
                    <br/>

                </td>
                <td class="thread-message">
                    @list(i).message
                </td>
            </tr>
        }
        <tr>
            <td class="thread-add-message" colspan=2>
                @helper.form(action = routes.MessageController.createMessage(thread.id), 'id -> "addmsg") {
                    @CSRF.formField
                    @helper.textarea(msgForm("message"), args = '_label -> "Mensagem: ", 'rows -> 5, 'cols -> 50,'_showConstraints -> false)
                    <button type="submit">Enviar</button>
                }
            </td>
        </tr>
    </table>
}